ISDNMONITOR(8) | System Manager's Manual | ISDNMONITOR(8)

# NAME

isdnmonitor — isdn4bsd / isdnd remote monitoring tool

# SYNOPSIS

isdnmonitor | [-c] [-d debuglevel] [-f filename] [-h hostspec] [-l pathname] [-p portspec]

# DESCRIPTION

isdnmonitor is used to remotely monitor the operation of the ISDN demon, isdnd(8), which manages all ISDN related connection and disconnection of ISDN devices supported by the isdn4bsd package.

The options are as follows:

-c
  Switch to (curses-) fullscreen mode of operation. In this mode, isdnmonitor behaves nearly exactly as isdnd(8) in fullscreen mode. In fullscreen mode, entering the control character Control-L causes the display to be refreshed and entering Carriage-Return or Enter will pop-up a command window. Because isdnmonitor will not listen to messages while the command window is active, this command window will disappear automatically after 5 seconds without any command key press.

  While the command window is active, Tab or Space advances to the next menu item. To execute a command, press Return or Enter for the highlighted menu item, or enter the number corresponding to the item to be executed or enter the capitalized character in the menu item description.

-d
  If debugging support is compiled into isdnmonitor this option is used to specify the debugging level.

  In addition, this option accepts also the character 'n' as an argument to disable displaying debug messages on the full-screen display.

-f
  Specifying this option causes isdnmonitor to write its normal output and - if enabled - debugging output to a file which name is specified as the argument.
-l
  is used to specify a Unix local domain socket name to be used for communication between isdnd(8) and isdnmonitor
-h
  is used to specify a hostname or a dotted-quad IP address of a machine where an isdnd(8) is running which should be monitored.
-p
  This option may be used to specify a remote port number in conjunction with the -h option.

# ENVIRONMENT

The following environment variables affect the execution of isdnmonitor:

TERM
  The terminal type when running in full-screen display mode. See environ(7) for more information.

# EXAMPLES

For a first try, the following command should be used to start isdnmonitor to monitor a locally running isdnd:

    isdnmonitor -h localhost

# DIAGNOSTICS

Exit status is 0 on success, 1 on error.

# SEE ALSO

isdnd(8)

# AUTHORS

The isdnmonitor utility was written by Martin Husemann and Hellmuth Michaelis. This manual page was written by Hellmuth Michaelis <hm@kts.org>.

September 25, 1999 | NetBSD 6.0